apiVersion: cert-manager.io/v1
kind: Issuer
metadata:
    name: vault-issuer
    namespace: dev-stuff
spec:
    vault:
        server: ENC[AES256_GCM,data:qViDrVjQCu+dKNOg7tZv13k+jGFu14TnVkNTVsy/myq0dw4LibB+k9N03nfUZJoGn7nmrmpr,iv:1n27H4eByzvu/iTcfxDvs1zHfIzIMX3pH4J9kEFIytE=,tag:OFuwt2NW+NdabzcirWoY5A==,type:str]
        path: ENC[AES256_GCM,data:GG3VzW6pNqkbqUqYYEUf9/FO,iv:AyDI9/2zHebEjP8HxM5artmldxHm0L416SJlZYj7g7E=,tag:H7XenGLoz8pPbGB3OEIYAQ==,type:str]
        auth:
            kubernetes:
                mountPath: ENC[AES256_GCM,data:98XGDNyNPDmufAmNcaVwyYWh/Q==,iv:mcwXpsLaNv/rDLnRbUy1y8PiGpp38RrAfbNmBF4ptEM=,tag:c/kFHao8rvfB5fQEo4UHJg==,type:str]
                role: ENC[AES256_GCM,data:sHtsZBJwisv7nw==,iv:b7fxdvSmcrLtPVKHZ4KETqxg/GztiAVpMtlE1FNGjUg=,tag:RaHmojcYVfodpNdgUjMG2A==,type:str]
                secretRef:
                    name: ENC[AES256_GCM,data:9slTvF4HPC0ShhRUrd0z3w==,iv:kBIEmTq1lhv3MQDZeXbm+udfWuFcMen1PHtxEkkDkNU=,tag:m5kQoylrMgzxNyMa5Kt1sg==,type:str]
                    key: ENC[AES256_GCM,data:J7s1lp0=,iv:Xfj74jIe/F6FNChpYsHMFxZ7z6JIlx0TrIH6oqEXtr0=,tag:ljhnuSIn7gXQmwW9o9PskA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age: []
    lastmodified: "2024-09-21T21:50:08Z"
    mac: ENC[AES256_GCM,data:JtFDBC4AXs0ZR2vks82ucvO7ix4FCENmAQLyM5UlnpdVjiXdpsNlzPHMEmH+9TYfQ7SbOGlFkY2THYRBzDFvbG3bewWX4I3NgSQdG+77rwB43TL+0ODYlwNb+JC2Ki3aU37Or15NzSncDuRnD4zioMNnMLR4dxLD4Ynvomw/K1o=,iv:H2F31T5EED04D2UIzpp8TCKgKjCVaFxqWJyYvUYOBsk=,tag:I5hzm/+WfP2kVhXn+cp+iA==,type:str]
    pgp:
        - created_at: "2024-09-21T21:50:07Z"
          enc: |-
            -----BEGIN PGP MESSAGE-----

            hF4DDn3iFPdf38cSAQdA5253cY3ohOfPT3LiepZnaFjF/s74WH0Vx57NooSq9Esw
            xZeb0UVPVyQltfuVIljlloZna1pn6Kz2q4zLfSscM9L1sAsXLgPE9+Ss392U0VFH
            1GgBCQIQhn0aHm8V1ffB4Xqxl/8/ZCRKZGaqiaPoaOcbcDwVkEhPZCUwSyAjYfYU
            7J6t8/BMcGhT7/HDO0DPvPIFvj0O5KjDpV7IRhRB3fhrMTxrhJjFb0wL9gkGPUOD
            V4J8brqPtqe98g==
            =DWeq
            -----END PGP MESSAGE-----
          fp: 8BABE93B3C84CC99514E1FFD5F374229A7875770
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.0
